Package twisted :: Package lore :: Module lint

[show private | hide private]
[frames | no frames]

## Module twisted.lore.lint

Classes
`DefaultTagChecker` |
`TagChecker` |

Function Summary
| `doFile(file, checker)`
| `getDefaultChecker()`
| `list2dict(l)`

Variable Summary
`dictionary` | `a`
`dictionary` | `allowed`
`dictionary` | `classes`
`dictionary` | `div`
`dictionary` | `pre`
`dictionary` | `span`
`dictionary` | `tags`

Variable Details

### a

  Type:
    `dictionary`
  Value:

        {'html-listing': None, 'py-listing': None}

### allowed

  Type:
    `dictionary`
  Value:

        {'a': <built-in method has_key of dictionary object at 0x840cff4>,
         'code': <built-in method has_key of dictionary object at 0x85e273c>,
         'div': <built-in method has_key of dictionary object at 0x840cfc4>,
         'li': <function <lambda> at 0x8674964>,
         'ol': <function <lambda> at 0x84ce684>,
         'pre': <built-in method has_key of dictionary object at 0x845b064>,
         'span': <built-in method has_key of dictionary object at 0x85e276c>,
         'ul': <function <lambda> at 0x86749cc>}

### classes

  Type:
    `dictionary`
  Value:

        {'API': None,
         'py-filename': None,
         'py-prototype': None,
         'py-signature': None,
         'py-src-identifier': None,
         'py-src-keyword': None,
         'py-src-parameter': None,
         'py-src-string': None,
        ...

### div

  Type:
    `dictionary`
  Value:

        {'boxed': None, 'note': None, 'doit': None}

### pre

  Type:
    `dictionary`
  Value:

        {'python-interpreter': None, 'elisp': None, 'shell': None, 'python': N\
        one}

### span

  Type:
    `dictionary`
  Value:

        {'manhole-output': None, 'footnote': None}

### tags

  Type:
    `dictionary`
  Value:

        {'a': None,
         'blockquote': None,
         'body': None,
         'cite': None,
         'code': None,
         'dd': None,
         'div': None,
         'dl': None,
        ...

Generated by Epydoc 1.1 on Sat Feb 15 21:19:07 2003 | http://epydoc.sf.net